complexType "AdjustableRelativeOrPeriodicDates"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustableDates | relativeDates | relativeDateSequence | periodicDates
</...>

Content Model Elements (4):

  adjustableDates (defined in AdjustableRelativeOrPeriodicDates complexType),
  periodicDates (defined in AdjustableRelativeOrPeriodicDates complexType),
  relativeDates (defined in AdjustableRelativeOrPeriodicDates complexType),
  relativeDateSequence (defined in AdjustableRelativeOrPeriodicDates complexType)

All Direct / Indirect Based Elements (3):

  calculationDates (defined in CalculatedAmount complexType), calculationDates (defined in LegAmount complexType), | valuationDates

Known Usage Locations

- As direct type of elements (3):

  calculationDates (defined in CalculatedAmount complexType), calculationDates (defined in LegAmount complexType), | valuationDates

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AdjustableRelativeOrPeriodicDates"> <xsd:choice> <xsd:element name="adjustableDates" type="AdjustableDates"/> <xsd:element name="relativeDates" type="RelativeDates"/> <xsd:element name="relativeDateSequence" type="RelativeDateSequence"/> <xsd:element name="periodicDates" type="PeriodicDates"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
adjustableDates

  Type: | AdjustableDates, complex content

  A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustableDates" type="AdjustableDates"/>

periodicDates

  Type: | PeriodicDates, complex content

  XML Source (see within schema source)

  <xsd:element name="periodicDates" type="PeriodicDates"/>

relativeDates

  Type: | RelativeDates, complex content

  A series of dates specified as some offset to another series of dates (the anchor dates). This element is provided to maintain consistency with prior Transparency view models of valuationDates and should not be used for other purposes.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="relativeDates" type="RelativeDates"/>

relativeDateSequence

  Type: | RelativeDateSequence, complex content

  A series of dates specified as some offset to other dates (the anchor dates) which can
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="relativeDateSequence" type="RelativeDateSequence"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.